###################################################
### chunk number 1: 
###################################################
#line 68 "d:/Rcompile/CRANpkg/local/2.12/recommenderlab/inst/doc/recommenderlab.Rnw"
options(scipen=3, digits=4, prompt="R> ", eps=FALSE, width=75)
### for sampling
set.seed(1234)


###################################################
### chunk number 2: 
###################################################
#line 841 "d:/Rcompile/CRANpkg/local/2.12/recommenderlab/inst/doc/recommenderlab.Rnw"
library("recommenderlab")
data(MSWeb)

MSWeb5 <- MSWeb[rowCounts(MSWeb) >5,]
MSWeb5


###################################################
### chunk number 3: rowCounts
###################################################
#line 855 "d:/Rcompile/CRANpkg/local/2.12/recommenderlab/inst/doc/recommenderlab.Rnw"
hist(rowCounts(MSWeb5), breaks=20)


###################################################
### chunk number 4: 
###################################################
#line 874 "d:/Rcompile/CRANpkg/local/2.12/recommenderlab/inst/doc/recommenderlab.Rnw"
LIST(MSWeb5[1:2])


###################################################
### chunk number 5:  eval=FALSE
###################################################
## #line 882 "d:/Rcompile/CRANpkg/local/2.12/recommenderlab/inst/doc/recommenderlab.Rnw"
## image(sample(MSWeb5, 200))


###################################################
### chunk number 6: image
###################################################
#line 885 "d:/Rcompile/CRANpkg/local/2.12/recommenderlab/inst/doc/recommenderlab.Rnw"
plot(image(sample(MSWeb5, 200)))


###################################################
### chunk number 7: colCounts
###################################################
#line 903 "d:/Rcompile/CRANpkg/local/2.12/recommenderlab/inst/doc/recommenderlab.Rnw"
hist(colCounts(MSWeb5), breaks=25)


###################################################
### chunk number 8: 
###################################################
#line 924 "d:/Rcompile/CRANpkg/local/2.12/recommenderlab/inst/doc/recommenderlab.Rnw"
r <- Recommender(MSWeb5[1:1000], method = "POPULAR")
r


###################################################
### chunk number 9: 
###################################################
#line 930 "d:/Rcompile/CRANpkg/local/2.12/recommenderlab/inst/doc/recommenderlab.Rnw"
getModel(r)


###################################################
### chunk number 10: 
###################################################
#line 944 "d:/Rcompile/CRANpkg/local/2.12/recommenderlab/inst/doc/recommenderlab.Rnw"
recom <- predict(r, MSWeb5[1001:1002], n=5)
recom


###################################################
### chunk number 11: 
###################################################
#line 952 "d:/Rcompile/CRANpkg/local/2.12/recommenderlab/inst/doc/recommenderlab.Rnw"
LIST(recom)


###################################################
### chunk number 12: 
###################################################
#line 959 "d:/Rcompile/CRANpkg/local/2.12/recommenderlab/inst/doc/recommenderlab.Rnw"
recom3 <- bestN(recom, n = 3)
recom3
LIST(recom3)


###################################################
### chunk number 13: 
###################################################
#line 978 "d:/Rcompile/CRANpkg/local/2.12/recommenderlab/inst/doc/recommenderlab.Rnw"
scheme <- evaluationScheme(MSWeb5, method="cross", k=4, given=3)
scheme


###################################################
### chunk number 14: 
###################################################
#line 987 "d:/Rcompile/CRANpkg/local/2.12/recommenderlab/inst/doc/recommenderlab.Rnw"
results <- evaluate(scheme, method="POPULAR", n=c(1,3,5,10,15,20))
results


###################################################
### chunk number 15: 
###################################################
#line 1000 "d:/Rcompile/CRANpkg/local/2.12/recommenderlab/inst/doc/recommenderlab.Rnw"
getConfusionMatrix(results)[[1]]


###################################################
### chunk number 16: 
###################################################
#line 1013 "d:/Rcompile/CRANpkg/local/2.12/recommenderlab/inst/doc/recommenderlab.Rnw"
avg(results)


###################################################
### chunk number 17: roc1
###################################################
#line 1020 "d:/Rcompile/CRANpkg/local/2.12/recommenderlab/inst/doc/recommenderlab.Rnw"
plot(results, annotate=TRUE)


###################################################
### chunk number 18: precrec1
###################################################
#line 1034 "d:/Rcompile/CRANpkg/local/2.12/recommenderlab/inst/doc/recommenderlab.Rnw"
plot(results, "prec/rec", annotate=TRUE)


###################################################
### chunk number 19: 
###################################################
#line 1057 "d:/Rcompile/CRANpkg/local/2.12/recommenderlab/inst/doc/recommenderlab.Rnw"
load("xresults.rda")


###################################################
### chunk number 20:  eval=FALSE
###################################################
## #line 1061 "d:/Rcompile/CRANpkg/local/2.12/recommenderlab/inst/doc/recommenderlab.Rnw"
## ## this needs to be saved to disk! see run_recommender.R
## algorithms <- list(
##         "random items" = list(name="RANDOM", param=NULL),
##         "popular items" = list(name="POPULAR", param=NULL),
##         "user-based CF" = list(name="UBCF", param=list(method="Jaccard", nn=50)),
##         "item-based CF" = list(name="IBCF", param=list(method="Jaccard", k=50)),
##         "association rules" = list(name="AR", param=list(supp=0.001, conf=0.2, maxlen=2))
##         )
## 
## ## run algorithms
## results <- evaluate(scheme, algorithms, n=c(1, 3, 5, 10, 15, 20))
## ## save(results, file="xresults.rda")


###################################################
### chunk number 21: 
###################################################
#line 1078 "d:/Rcompile/CRANpkg/local/2.12/recommenderlab/inst/doc/recommenderlab.Rnw"
results


###################################################
### chunk number 22: 
###################################################
#line 1085 "d:/Rcompile/CRANpkg/local/2.12/recommenderlab/inst/doc/recommenderlab.Rnw"
names(results)
results[["association rules"]]


###################################################
### chunk number 23: roc2
###################################################
#line 1097 "d:/Rcompile/CRANpkg/local/2.12/recommenderlab/inst/doc/recommenderlab.Rnw"
plot(results, annotate=c(1,3), legend="right")


###################################################
### chunk number 24: precrec2
###################################################
#line 1107 "d:/Rcompile/CRANpkg/local/2.12/recommenderlab/inst/doc/recommenderlab.Rnw"
plot(results, "prec/rec", annotate=3)


###################################################
### chunk number 25: 
###################################################
#line 1128 "d:/Rcompile/CRANpkg/local/2.12/recommenderlab/inst/doc/recommenderlab.Rnw"
scheme1 <- evaluationScheme(MSWeb5, method="cross", k=4, given=1)
scheme1


###################################################
### chunk number 26:  eval=FALSE
###################################################
## #line 1133 "d:/Rcompile/CRANpkg/local/2.12/recommenderlab/inst/doc/recommenderlab.Rnw"
## results1 <- evaluate(scheme1, algorithms, n=c(1,3,5,10,15,20))
## ## save(results1, file="xresults1.rda")


###################################################
### chunk number 27: 
###################################################
#line 1137 "d:/Rcompile/CRANpkg/local/2.12/recommenderlab/inst/doc/recommenderlab.Rnw"
load("xresults1.rda")


###################################################
### chunk number 28: roc3
###################################################
#line 1141 "d:/Rcompile/CRANpkg/local/2.12/recommenderlab/inst/doc/recommenderlab.Rnw"
plot(results1, annotate=c(1,3), legend="right")


